> ## Documentation Index
> Fetch the complete documentation index at: https://support.fortanix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update status of approver and task.

> Update status of approver and task.

## OpenAPI

````json PATCH /v1/tasks/{task-id}
{
  "info": {
    "description": "Fortanix Confidential Computing Manager Backend. These are APIs using which the frontend and other clients (compute node agents) interact with Fortanix Confidential Computing Manager functionalities, which include compute node and app enrollment, attestation and signing, and Certificate Authority.",
    "version": "2.0.0",
    "title": "Confidential Computing Manager",
    "termsOfService": "https://www.fortanix.com/legal/terms/",
    "contact": {
      "name": "Fortanix Support",
      "url": "https://support.fortanix.com/hc/en-us/categories/360003107511-Confidential-Computing-Manager",
      "email": "support@fortanix.com"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
    }
  },
  "paths": {
    "/v1/tasks/{task-id}": {
      "patch": {
        "tags": [
          "Task"
        ],
        "summary": "Update status of approver and task.",
        "description": "Update status of approver and task.",
        "operationId": "UpdateTask",
        "x-auth-resource": "Writer,Manager,ActiveAccount",
        "parameters": [
          {
            "$ref": "#/parameters/TaskId"
          },
          {
            "$ref": "#/parameters/TaskUpdateRequest"
          }
        ],
        "responses": {
          "200": {
            "description": "Updated Task status.",
            "schema": {
              "$ref": "#/definitions/TaskResult"
            }
          }
        },
        "security": [
          {
            "bearerToken": []
          }
        ]
      }
    }
  }
}
````

